USE SSISDB
GO

DECLARE @execution_id BIGINT
EXEC [SSISDB].[catalog].[create_execution] @package_name=N'100 Perf Testing.dtsx', @execution_id=@execution_id OUTPUT, @folder_name=N'TestingSSISPackages', @project_name=N'Testing SSIS Packages', @use32bitruntime=False, @reference_id=NULL

SELECT @execution_id

-- Set verbose mode
DECLARE @loglevel SMALLINT = 3
EXEC [SSISDB].[catalog].[set_execution_parameter_value] @execution_id,  @object_type=50, @parameter_name=N'LOGGING_LEVEL', @parameter_value = @loglevel
-- Set synchronized
DECLARE @synchronized SMALLINT = 1
EXEC [SSISDB].[catalog].[set_execution_parameter_value] @execution_id,  @object_type=50, @parameter_name=N'SYNCHRONIZED', @parameter_value = @synchronized


-- Execute package
EXEC [SSISDB].[catalog].[start_execution] @execution_id



