USE SSISDB
GO

DECLARE @execution_id INT

SELECT @execution_id = MAX(execution_id)
FROM catalog.executions

SELECT execution_path, execution_duration
FROM catalog.executable_statistics
WHERE execution_id = @execution_id
ORDER BY execution_duration DESC 

SELECT task_name, subcomponent_name, phase, DATEDIFF(MILLISECOND, start_time, end_time) [duration]
FROM catalog.execution_component_phases
WHERE execution_id = @execution_id
ORDER BY 4 desc

